
html, body {
  margin: 0 auto;
}

#loading_overlay {
  background: #F9F9F9;
  position: fixed;
  top: 0; right: 0; bottom: 0; left: 0;
  z-index: 99;
  text-align: center;
  line-height: 100vh;
}

@keyframes rotate360 {
  to { transform: rotate(360deg); }
}

#loading_overlay img {
  position: absolute;
  left: calc(50% - 115px);
  top: calc(50% - 115px);
  animation: 3s rotate360 infinite linear;
}

header {
  line-height: 40px;
  text-align: center;
  display: flex;
  flex-wrap: wrap;
  max-width: 800px;
  margin: auto;
  margin-bottom: 50px;
  color: #151515;
}

header a {
  display: inline-block;
  text-decoration: none;
  color: #151515;
  padding: 0px 40px;
  flex-grow: 1;
  font-size: 18px;
  border-bottom: 1px solid #CCC;
}

header a:hover {
  color: #050505;
  border-bottom: 1px solid #333;
  text-shadow: 0px 0px 1px #05050569;
}

.content-block {
  width: 1000px;
  margin: 0 auto;
  min-height: calc(100vh - 110px);
}

footer {
  text-align: center;
}
